# Created by pyp2rpm-3.2.1
%global pypi_name clamd

# until RHEL 7 gets python >= 2.7.5-58, we need to define py2_build and py2_install
%if 0%{!?py2_build:1}
%define py2_build (CFLAGS="-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches   -m64 -mtune=generic" /usr/bin/python2 setup.py  build --executable="/usr/bin/python2 -s"; sleep 1)
%endif
%if 0%{!?py2_install:1}
%define py2_install (CFLAGS="-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches   -m64 -mtune=generic" /usr/bin/python2 setup.py  install -O1 --skip-build --root %{buildroot})
%endif


Name:           python-%{pypi_name}
Version:        1.0.2
Release:        4%{?dist}
Summary:        Python interface to Clamd (ClamAV daemon)

License:        LGPL
URL:            https://github.com/graingert/python-clamd
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         %{name}.depsver.patch
Patch1:         %{name}.fdscan.patch
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-nose >= 1.3.0
BuildRequires:  python-six >= 1.7.3
BuildRequires:  python-setuptools
 
%if 0%{?fedora}
BuildRequires:  python3-devel
BuildRequires:  python3-nose >= 1.3.3
BuildRequires:  python3-six >= 1.7.3
BuildRequires:  python3-setuptools
%endif

%description
clamd is a portable Python module to use the ClamAV antivirus engine on
Windows, Linux, MacOSX and other platforms. It requires a running instance of
the clamd daemon.

%package -n     python2-%{pypi_name}
Summary:        Clamd is a python interface to Clamd (Clamav daemon)
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
clamd is a portable Python module to use the ClamAV antivirus engine on
Windows, Linux, MacOSX and other platforms. It requires a running instance of
the clamd daemon.

%if 0%{?fedora}
%package -n     python3-%{pypi_name}
Summary:        Clamd is a python interface to Clamd (Clamav daemon)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
clamd is a portable Python module to use the ClamAV antivirus engine on
Windows, Linux, MacOSX and other platforms. It requires a running instance of
the clamd daemon.
%endif


%prep
%setup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%patch0 -p1 -b .depsver
%patch1 -p1 -b .fdscan

%build
%py2_build
%if 0%{?fedora}
%py3_build
%endif

%install
%if 0%{?fedora}
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py3_install
%endif

%py2_install


%check
%{__python2} setup.py test
%if 0%{?fedora}
%{__python3} setup.py test
%endif

%files -n python2-%{pypi_name}
%doc README.rst
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if 0%{?fedora}
%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif

%changelog
* Sat Jul 22 2017 Joel Smith <joel+fedora@redhat.com> - 1.0.2-4
- Fix fdscan patch
* Sat Jul 22 2017 Joel Smith <joel+fedora@redhat.com> - 1.0.2-3
- Fix broken changelog
* Sat Jul 22 2017 Joel Smith <joel+fedora@redhat.com> - 1.0.2-2
- Add fdscan method for Unix domain sockets client
* Wed Jul 12 2017 Joel Smith <joel+fedora@redhat.com> - 1.0.2-1
- Initial package.
